Download OpenAPI specification:Download
Los endpoints de la API requieren autenticación. Para obtener un token de acceso, se debe de solicitar a velocity.
El token de acceso se debe enviar en el header X-Velocity-Access-Token de la siguiente manera:
X-Velocity-Access-Token: <token>
Se pueden configurar webhooks para recibir notificaciones de eventos en la plataforma de velocity.
Para crear un webhook se debe de enviar un POST a la ruta /webhooks con el siguiente payload:
{
"url": "https://mi-servidor.com/webhook",
"topic": "order.created"
}
Revisa la sección de webhooks para ver las operaciones soportadas.
Cuando se actualiza el inventario de un producto, se envía una petición POST al webhook configurado con el siguiente payload:
{
"business_id": "id",
"product_id": "id",
"sku": "sku",
"quantity": 10,
"warehouse_id": 1,
"total_inventory": 100, // total de inventario en todas las bodegas
"movement_id": 1, // id del movimiento
"movement_order_id": "order_id", // id de la orden relacionada al movimiento si aplica
"action": "in", // in | out
"inventory_per_warehouse": [
{
"warehouse_id": 1,
"quantity": 10
}
]
}
Cuando se actualiza el estado de una orden, se envía una petición POST al webhook configurado con el payload de la orden. (se enviara el mismo objeto que se obtiene al consultar una orden)
Permite obtener órdenes de recibo filtradas por estado y rango de fechas.
| status | Array of integers Example: status=1&status=2&status=4 Estado de las órdenes de recibo (puede repetirse para múltiples estados) |
| start_date | string <date-time> Example: start_date=2022-01-01T00:00:00Z Fecha de inicio del rango (formato ISO 8601) |
| end_date | string <date-time> Example: end_date=2022-12-01T00:00:00Z Fecha de fin del rango (formato ISO 8601) |
curl -G '$BASE_URL/purchase-external-orders/' --data-urlencode 'status=1' --data-urlencode 'status=2' --data-urlencode 'start_date=2022-01-01T00:00:00Z' --data-urlencode 'end_date=2022-12-01T00:00:00Z'
[- {
- "purchase_order_id": 0,
- "invoice_number": "string",
- "warehouse_id": 0,
- "warehouse_name": "string",
- "total": 0,
- "business_id": "string",
- "business_name": "string",
- "purchase_order_status_id": 0,
- "purchase_order_status": "string",
- "created_at": "2019-08-24T14:15:22Z"
}
]Permite crear una orden de recibo.
required | Array of objects Lista de almacenes con los artículos | ||||
Array
| |||||
{- "warehouses": [
- {
- "warehouse_id": 0,
- "items": [
- {
- "ean": "string",
- "quantity": 0,
- "price": 0,
- "cost": 0
}
]
}
]
}[- {
- "purchase_id": 0,
- "warehouse_id": 0,
- "items_res": [
- {
- "ean": "string",
- "message": "string"
}
]
}
]Permite obtener la lista de órdenes externas que han sido devueltas.
| orderNumber | string Número de la orden para obtener una orden específica en devolución |
curl -G '$BASE_URL/purchase-external-order/return-order' --data-urlencode 'orderNumber=UTXKAF'
[- {
- "order_number": "UTXKAF",
- "external_order_id": "",
- "order_type": "Same day",
- "order_status": "Devolución",
- "order_return_reason": "vencido por fecha",
- "created_at": "2024-05-02T08:27:18-05:00"
}, - {
- "order_number": "AIUQYF",
- "external_order_id": "",
- "order_type": "Express",
- "order_status": "Devolución",
- "order_return_reason": "Producto en mal estado",
- "created_at": "2024-10-11T16:56:10-05:00"
}
]Retorna el listado de productos (EAN, nombre, cantidades, ubicación, costo y precio) asociados a una Orden de Recibo. Requiere autenticación con token Bearer.
| id required | integer Example: 123 ID de la Orden de Recibo |
curl '$BASE_URL/purchase-external-orders/123/products' -H 'Authorization: Bearer <token>'
{- "items": [
- {
- "ean": "7896543210001",
- "product_name": "Nombre Producto",
- "quantity_requested": 10,
- "quantity_received": 8,
- "locations": [
- "A1-B2"
], - "cost": 15,
- "price": 25
}
]
}Retorna la lista de sellers. (Solo aplicable para operadores)
| page | integer Page number |
| size | integer Page size |
| filters | Array of any or null (FiltersRaw) filter query |
| sort_by | string sort by field |
| sort_dir | string Enum: "ASC" "DESC" sort direction |
| skip_total | boolean skip total count, can be used for performance |
curl -G '$BASE_URL/businesses' --data-urlencode 'page=1' --data-urlencode 'size=50'
{- "items": [
- {
- "a_threshold": null,
- "active": true,
- "assign_pickers": null,
- "automatic_guide": 0,
- "automatic_purchase_order": null,
- "automatic_warehouse_assigment": null,
- "b_threshold": null,
- "c_threshold": null,
- "calc_discount_after_tax": true,
- "country_id": null,
- "created_at": null,
- "delivery_courier_margin": null,
- "delivery_fee": null,
- "document_type_id": null,
- "documents": [
- {
- "business_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "document": "string",
- "id": 0
}
], - "driver_scan_packages": null,
- "email": null,
- "email_contact_accounting": null,
- "external_id": null,
- "external_id_help": null,
- "external_integration_id": null,
- "external_integrations": [
- { }
], - "id": null,
- "invoice_status_id": null,
- "invoicing": true,
- "is_package_type_delivery": true,
- "is_partner": null,
- "is_picking_cases_enabled": null,
- "is_saas": null,
- "is_signed_commercial_agreement": null,
- "kam_user_id": null,
- "legal_id": "string",
- "legal_name": null,
- "name": "string",
- "only_last_mile": true,
- "own_inventory": null,
- "parent_business_id": null,
- "percentage_inventory_notice_variation": null,
- "phone_number": null,
- "prefix": null,
- "project_channel": null,
- "provider_service_id": null,
- "route_validation": null,
- "scan_products": null,
- "sequence": null,
- "shipment_included_total": null,
- "shipping_best_price": null,
- "show_basket": null,
- "show_massive_quantity": null,
- "show_note": null,
- "show_note_app": null,
- "show_note_ok": null,
- "show_type_zone": true,
- "sms_notification": null,
- "super": null,
- "take_manual_order": null,
- "tax_before_total": null,
- "telegram_chat": null,
- "updated_at": null,
- "variation_percentage": null,
- "wallet_amount": 0,
- "warehouses": [
- {
- "active": null,
- "business_id": "string",
- "created_at": null,
- "default": null,
- "external_configuration": null,
- "external_id": null,
- "id": 0,
- "rappi_store_id": null,
- "shopify_location_id": null,
- "updated_at": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane_id": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}, - "warehouse_code": null,
- "warehouse_code_help": null,
- "warehouse_id": 0
}
]
}
], - "page": 0,
- "size": 0,
- "total": 0,
- "total_pages": 0
}Retorna un seller. (Solo aplicable para operadores)
| id required | string |
{- "a_threshold": null,
- "active": true,
- "assign_pickers": null,
- "automatic_guide": 0,
- "automatic_purchase_order": null,
- "automatic_warehouse_assigment": null,
- "b_threshold": null,
- "c_threshold": null,
- "calc_discount_after_tax": true,
- "country_id": null,
- "created_at": null,
- "delivery_courier_margin": null,
- "delivery_fee": null,
- "document_type_id": null,
- "documents": [
- {
- "business_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "document": "string",
- "id": 0
}
], - "driver_scan_packages": null,
- "email": null,
- "email_contact_accounting": null,
- "external_id": null,
- "external_id_help": null,
- "external_integration_id": null,
- "external_integrations": [
- { }
], - "id": null,
- "invoice_status_id": null,
- "invoicing": true,
- "is_package_type_delivery": true,
- "is_partner": null,
- "is_picking_cases_enabled": null,
- "is_saas": null,
- "is_signed_commercial_agreement": null,
- "kam_user_id": null,
- "legal_id": "string",
- "legal_name": null,
- "name": "string",
- "only_last_mile": true,
- "own_inventory": null,
- "parent_business_id": null,
- "percentage_inventory_notice_variation": null,
- "phone_number": null,
- "prefix": null,
- "project_channel": null,
- "provider_service_id": null,
- "route_validation": null,
- "scan_products": null,
- "sequence": null,
- "shipment_included_total": null,
- "shipping_best_price": null,
- "show_basket": null,
- "show_massive_quantity": null,
- "show_note": null,
- "show_note_app": null,
- "show_note_ok": null,
- "show_type_zone": true,
- "sms_notification": null,
- "super": null,
- "take_manual_order": null,
- "tax_before_total": null,
- "telegram_chat": null,
- "updated_at": null,
- "variation_percentage": null,
- "wallet_amount": 0,
- "warehouses": [
- {
- "active": null,
- "business_id": "string",
- "created_at": null,
- "default": null,
- "external_configuration": null,
- "external_id": null,
- "id": 0,
- "rappi_store_id": null,
- "shopify_location_id": null,
- "updated_at": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane_id": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}, - "warehouse_code": null,
- "warehouse_code_help": null,
- "warehouse_id": 0
}
]
}Crea un movimiento de inventario.
| business_id | string |
| product_id | string |
| quantity | integer |
| reason | null or string |
| warehouse_id | integer |
{- "business_id": "string",
- "product_id": "string",
- "quantity": 0,
- "reason": null,
- "warehouse_id": 0
}{- "code": "invalid_request",
- "details": { },
- "message": "invalid request"
}Retorna el stock de un producto.
| product_id | string ID del producto - Busca el producto específico y sus variaciones |
| external_id | string ID externo del producto - Busca productos por su ID externo |
| ean | string Código EAN o SKU del producto - Busca productos por EAN o SKU |
| is_full | integer Enum: 0 1 Filtro de fulfillment - 0: Solo ubicaciones no fulfillment, 1: Solo ubicaciones fulfillment, sin especificar: todas las ubicaciones |
curl -G '$BASE_URL/inventory/stock' --data-urlencode 'product_id=123' --data-urlencode 'is_full=1'
{- "inventory": [
- {
- "business_id": "string",
- "created_at": null,
- "quantity": 0,
- "reserved_quantity": 0,
- "warehouse": {
- "id": 0,
- "name": "string"
}, - "warehouse_id": 0
}
], - "variations": [
- {
- "id": "string",
- "inventory": [
- {
- "business_id": "string",
- "created_at": null,
- "quantity": 0,
- "reserved_quantity": 0,
- "warehouse": {
- "id": 0,
- "name": "string"
}, - "warehouse_id": 0
}
], - "name": "string",
- "sku": "string"
}
]
}| page | integer Page number |
| size | integer Page size |
| filters | Array of any or null (FiltersRaw) filter query |
| sort_by | string sort by field |
| sort_dir | string Enum: "ASC" "DESC" sort direction |
| skip_total | boolean skip total count, can be used for performance |
curl -G '$BASE_URL/orders' --data-urlencode 'page=1' --data-urlencode 'size=50' --data-urlencode 'sort_by=created_at' --data-urlencode 'sort_dir=DESC'
{- "items": [
- {
- "approved": true,
- "boxes": null,
- "business": {
- "a_threshold": null,
- "active": true,
- "assign_pickers": null,
- "automatic_guide": 0,
- "automatic_purchase_order": null,
- "automatic_warehouse_assigment": null,
- "b_threshold": null,
- "c_threshold": null,
- "calc_discount_after_tax": true,
- "country_id": null,
- "created_at": null,
- "delivery_courier_margin": null,
- "delivery_fee": null,
- "document_type_id": null,
- "documents": [
- {
- "business_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "document": "string",
- "id": 0
}
], - "driver_scan_packages": null,
- "email": null,
- "email_contact_accounting": null,
- "external_id": null,
- "external_id_help": null,
- "external_integration_id": null,
- "external_integrations": [
- { }
], - "id": null,
- "invoice_status_id": null,
- "invoicing": true,
- "is_package_type_delivery": true,
- "is_partner": null,
- "is_picking_cases_enabled": null,
- "is_saas": null,
- "is_signed_commercial_agreement": null,
- "kam_user_id": null,
- "legal_id": "string",
- "legal_name": null,
- "name": "string",
- "only_last_mile": true,
- "own_inventory": null,
- "parent_business_id": null,
- "percentage_inventory_notice_variation": null,
- "phone_number": null,
- "prefix": null,
- "project_channel": null,
- "provider_service_id": null,
- "route_validation": null,
- "scan_products": null,
- "sequence": null,
- "shipment_included_total": null,
- "shipping_best_price": null,
- "show_basket": null,
- "show_massive_quantity": null,
- "show_note": null,
- "show_note_app": null,
- "show_note_ok": null,
- "show_type_zone": true,
- "sms_notification": null,
- "super": null,
- "take_manual_order": null,
- "tax_before_total": null,
- "telegram_chat": null,
- "updated_at": null,
- "variation_percentage": null,
- "wallet_amount": 0,
- "warehouses": [
- {
- "active": null,
- "business_id": "string",
- "created_at": null,
- "default": null,
- "external_configuration": null,
- "external_id": null,
- "id": 0,
- "rappi_store_id": null,
- "shopify_location_id": null,
- "updated_at": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane_id": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}, - "warehouse_code": null,
- "warehouse_code_help": null,
- "warehouse_id": 0
}
]
}, - "business_id": null,
- "cancel_order_reason": {
- "active": 0,
- "id": 0,
- "name": "string"
}, - "cancel_order_reason_id": null,
- "city_dane_id": null,
- "cod_total": null,
- "country": {
- "currency": "string",
- "has_sublevels": true,
- "id": "string",
- "name": "string"
}, - "country_id": null,
- "coupon": null,
- "created_at": null,
- "customer": {
- "dni": "string",
- "document_type_id": null,
- "email": "string",
- "full_name": "string",
- "id": 0,
- "mobile_phone_number": "string",
- "phone_number": "string"
}, - "customer_id": null,
- "delivery_date": null,
- "delivery_fee": null,
- "delivery_kms": null,
- "delivery_provider": {
- "id": "string",
- "name": "string"
}, - "delivery_provider_id": null,
- "delivery_provider_type_zone_id": null,
- "discount": null,
- "driver": {
- "active": true,
- "business_id": "string",
- "created_at": null,
- "deleted_at": null,
- "dni": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "license_plate": "string",
- "lng": null,
- "phone_number": "string",
- "pin": "string",
- "token_device": null,
- "type_vehicle": {
- "id": 0,
- "name": "string",
- "status": true
}, - "type_vehicle_id": null,
- "updated_at": null,
- "warehouses": [
- {
- "id": 0,
- "name": "string"
}
]
}, - "driver_id": null,
- "end_picking_date": null,
- "external_order_id": null,
- "extra_data": null,
- "guide_id": null,
- "guide_link": null,
- "height": null,
- "history": null,
- "id": "string",
- "integration_type": {
- "id": 0,
- "name": "string"
}, - "integration_type_id": null,
- "invoiceable": null,
- "invoices": null,
- "is_delivery_default": true,
- "is_last_mile": true,
- "is_paid": true,
- "items": [
- {
- "additional_tax": 0,
- "description": "string",
- "had_lack": true,
- "has_inventory": true,
- "height": null,
- "id": 0,
- "kits": [
- {
- "id": 1,
- "order_detail_id": 1,
- "product_id": "PROD-001",
- "quantity": 3,
- "product": {
- "id": "PROD-001",
- "name": "Producto A del Kit",
- "sku": "SKU-A-001",
- "price": 50,
- "business_id": "BUS-123",
- "weight": 1.5,
- "width": 10,
- "height": 15,
- "large": 20,
- "tax": 0.19,
- "external_id": "EXT-001",
- "ean": "7501234567890",
- "kit_items": [ ]
}
}, - {
- "id": 2,
- "order_detail_id": 1,
- "product_id": "PROD-002",
- "quantity": 1,
- "product": {
- "id": "PROD-002",
- "name": "Producto B del Kit",
- "sku": "SKU-B-002",
- "price": 30,
- "business_id": "BUS-123",
- "weight": 0.8,
- "width": 8,
- "height": 10,
- "large": 12,
- "tax": 0.19,
- "external_id": "EXT-002",
- "ean": "7501234567891",
- "kit_items": [ ]
}
}
], - "large": null,
- "order_id": "string",
- "price": 0,
- "product": {
- "height": null,
- "id": "string",
- "large": null,
- "name": "string",
- "picture_url": null,
- "sku": "string",
- "tax": null,
- "weight": null,
- "width": null
}, - "product_id": "string",
- "promo_price": 0,
- "quantity": 0,
- "replacement_product": {
- "height": null,
- "id": "string",
- "large": null,
- "name": "string",
- "picture_url": null,
- "sku": "string",
- "tax": null,
- "weight": null,
- "width": null
}, - "replacement_product_id": null,
- "tax": null,
- "weight": null,
- "width": null
}
], - "large": null,
- "manifest_printed": true,
- "next_status": null,
- "notes": null,
- "order_return_reason": {
- "description": null,
- "id": 0,
- "name": "string",
- "order_return_reason_id": null
}, - "order_return_reason_id": null,
- "order_status": {
- "active": 0,
- "available_if_status_in": null,
- "color": "string",
- "created_at": null,
- "deleted_at": { },
- "final": true,
- "id": 0,
- "in_progress": true,
- "in_route": true,
- "index": 0,
- "name": "string",
- "require_driver": true,
- "require_inventory_validation": true,
- "require_pictures": true,
- "require_return_reason": true,
- "required_boxes": true,
- "required_by_driver": true,
- "retry_order_enabled": true,
- "reverse_to": 0,
- "updated_at": null
}, - "order_status_id": null,
- "order_sticker": null,
- "order_type": {
- "active": null,
- "automatic_schedule_selection": null,
- "default": 0,
- "end_time": null,
- "expected_delivery_time": null,
- "final_order_status_id": null,
- "flow_until_order_status_id": null,
- "icon": null,
- "id": 0,
- "initial_order_status_id": null,
- "name": "string",
- "start_time": null
}, - "order_type_id": null,
- "order_number": null,
- "origin_shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "country": "string",
- "dni": "string",
- "email": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "lng": null,
- "locality": null,
- "mobile_phone_number": "string",
- "origin": 0,
- "state": "string",
- "zip": null
}, - "origin_shipping_information_id": null,
- "packing_user_id": null,
- "payment_method": {
- "active": true,
- "id": 0,
- "name": "string"
}, - "payment_method_id": null,
- "payment_type_id": null,
- "picking_user_id": null,
- "pictures": null,
- "shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "country": "string",
- "dni": "string",
- "email": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "lng": null,
- "locality": null,
- "mobile_phone_number": "string",
- "origin": 0,
- "state": "string",
- "zip": null
}, - "shipping_information_id": null,
- "start_picking_date": null,
- "subtotal": null,
- "tags": null,
- "tax": null,
- "test": true,
- "ticket_id": null,
- "total": null,
- "total_shipment": null,
- "tracking_link": null,
- "tracking_number": null,
- "tries": null,
- "updated_at": null,
- "user_id": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "code_branch": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "zip": null
}, - "warehouse_id": null,
- "weight": null,
- "width": null,
- "zone_name": {
- "id": 0,
- "name": "string"
}, - "zone_name_id": null
}
], - "page": 0,
- "size": 0,
- "total": 0,
- "total_pages": 0
}Create a new order
| business_id | null or string Requerido si el usuario es operador |
| cod_total | null or number Valor contra entrega |
| country_id | null or integer |
object | |
| delivery_date | null or string <date-time> Fecha de entrega en caso de que el envío sea entregado |
| delivery_provider_id | null or integer id de la transportadora |
| discount | null or number Valor de descuento |
| external_order_id | null or string Id externo si aplica |
| guide_id | null or string Número de guía de la transportadora |
| guide_link | null or string Link de la guía de la transportadora |
| integration_type_id | null or integer |
| invoiceable | null or boolean |
| is_last_mile | null or boolean Si la orden es de last mile pasara directamente a el estado asignar piloto |
Array of objects or null (ServiceProductOrderReq) Productos de la orden | |
| notes | string |
| order_type_id | null or integer |
| order_number | null or string Número de orden personalizado. Si no se envía, se genera automáticamente |
object (ServiceShippingInformation) Información de origen del envío (si aplica) | |
| payment_method_id | null or integer |
| payment_type_id | null or integer |
object (ServiceShippingInformation) destination shipping information | |
| subtotal | null or number |
| total | null or number Valor total de la orden |
| total_shipment | null or number Valor del envío |
| tracking_link | null or string Link de tracking de la transportadora |
| warehouse_id | null or integer |
{- "business_id": null,
- "cod_total": null,
- "country_id": null,
- "customer": {
- "dni": "string",
- "document_type_id": null,
- "email": "string",
- "full_name": "string",
- "phone_number": "string"
}, - "delivery_date": null,
- "delivery_provider_id": null,
- "discount": null,
- "external_order_id": null,
- "guide_id": null,
- "guide_link": null,
- "integration_type_id": null,
- "invoiceable": null,
- "is_last_mile": null,
- "items": [
- {
- "external_id": null,
- "height": null,
- "large": null,
- "price": 0,
- "product_id": null,
- "promo_price": 0,
- "quantity": 0,
- "sku": null,
- "tax": null,
- "weight": null,
- "width": null
}
], - "notes": "string",
- "order_type_id": null,
- "order_number": null,
- "origin_shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane_id": null,
- "country": "string",
- "lat": null,
- "lng": null,
- "state": "string",
- "zip": null
}, - "payment_method_id": null,
- "payment_type_id": null,
- "shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane_id": null,
- "country": "string",
- "lat": null,
- "lng": null,
- "state": "string",
- "zip": null
}, - "subtotal": null,
- "total": null,
- "total_shipment": null,
- "tracking_link": null,
- "warehouse_id": null
}{- "approved": true,
- "boxes": null,
- "business": {
- "a_threshold": null,
- "active": true,
- "assign_pickers": null,
- "automatic_guide": 0,
- "automatic_purchase_order": null,
- "automatic_warehouse_assigment": null,
- "b_threshold": null,
- "c_threshold": null,
- "calc_discount_after_tax": true,
- "country_id": null,
- "created_at": null,
- "delivery_courier_margin": null,
- "delivery_fee": null,
- "document_type_id": null,
- "documents": [
- {
- "business_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "document": "string",
- "id": 0
}
], - "driver_scan_packages": null,
- "email": null,
- "email_contact_accounting": null,
- "external_id": null,
- "external_id_help": null,
- "external_integration_id": null,
- "external_integrations": [
- { }
], - "id": null,
- "invoice_status_id": null,
- "invoicing": true,
- "is_package_type_delivery": true,
- "is_partner": null,
- "is_picking_cases_enabled": null,
- "is_saas": null,
- "is_signed_commercial_agreement": null,
- "kam_user_id": null,
- "legal_id": "string",
- "legal_name": null,
- "name": "string",
- "only_last_mile": true,
- "own_inventory": null,
- "parent_business_id": null,
- "percentage_inventory_notice_variation": null,
- "phone_number": null,
- "prefix": null,
- "project_channel": null,
- "provider_service_id": null,
- "route_validation": null,
- "scan_products": null,
- "sequence": null,
- "shipment_included_total": null,
- "shipping_best_price": null,
- "show_basket": null,
- "show_massive_quantity": null,
- "show_note": null,
- "show_note_app": null,
- "show_note_ok": null,
- "show_type_zone": true,
- "sms_notification": null,
- "super": null,
- "take_manual_order": null,
- "tax_before_total": null,
- "telegram_chat": null,
- "updated_at": null,
- "variation_percentage": null,
- "wallet_amount": 0,
- "warehouses": [
- {
- "active": null,
- "business_id": "string",
- "created_at": null,
- "default": null,
- "external_configuration": null,
- "external_id": null,
- "id": 0,
- "rappi_store_id": null,
- "shopify_location_id": null,
- "updated_at": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane_id": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}, - "warehouse_code": null,
- "warehouse_code_help": null,
- "warehouse_id": 0
}
]
}, - "business_id": null,
- "cancel_order_reason": {
- "active": 0,
- "id": 0,
- "name": "string"
}, - "cancel_order_reason_id": null,
- "city_dane_id": null,
- "cod_total": null,
- "country": {
- "currency": "string",
- "has_sublevels": true,
- "id": "string",
- "name": "string"
}, - "country_id": null,
- "coupon": null,
- "created_at": null,
- "customer": {
- "dni": "string",
- "document_type_id": null,
- "email": "string",
- "full_name": "string",
- "id": 0,
- "mobile_phone_number": "string",
- "phone_number": "string"
}, - "customer_id": null,
- "delivery_date": null,
- "delivery_fee": null,
- "delivery_kms": null,
- "delivery_provider": {
- "id": "string",
- "name": "string"
}, - "delivery_provider_id": null,
- "delivery_provider_type_zone_id": null,
- "discount": null,
- "driver": {
- "active": true,
- "business_id": "string",
- "created_at": null,
- "deleted_at": null,
- "dni": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "license_plate": "string",
- "lng": null,
- "phone_number": "string",
- "pin": "string",
- "token_device": null,
- "type_vehicle": {
- "id": 0,
- "name": "string",
- "status": true
}, - "type_vehicle_id": null,
- "updated_at": null,
- "warehouses": [
- {
- "id": 0,
- "name": "string"
}
]
}, - "driver_id": null,
- "end_picking_date": null,
- "external_order_id": null,
- "extra_data": null,
- "guide_id": null,
- "guide_link": null,
- "height": null,
- "history": null,
- "id": "string",
- "integration_type": {
- "id": 0,
- "name": "string"
}, - "integration_type_id": null,
- "invoiceable": null,
- "invoices": null,
- "is_delivery_default": true,
- "is_last_mile": true,
- "is_paid": true,
- "items": [
- {
- "additional_tax": 0,
- "description": "string",
- "had_lack": true,
- "has_inventory": true,
- "height": null,
- "id": 0,
- "kits": [
- {
- "id": 1,
- "order_detail_id": 1,
- "product_id": "PROD-001",
- "quantity": 3,
- "product": {
- "id": "PROD-001",
- "name": "Producto A del Kit",
- "sku": "SKU-A-001",
- "price": 50,
- "business_id": "BUS-123",
- "weight": 1.5,
- "width": 10,
- "height": 15,
- "large": 20,
- "tax": 0.19,
- "external_id": "EXT-001",
- "ean": "7501234567890",
- "kit_items": [ ]
}
}, - {
- "id": 2,
- "order_detail_id": 1,
- "product_id": "PROD-002",
- "quantity": 1,
- "product": {
- "id": "PROD-002",
- "name": "Producto B del Kit",
- "sku": "SKU-B-002",
- "price": 30,
- "business_id": "BUS-123",
- "weight": 0.8,
- "width": 8,
- "height": 10,
- "large": 12,
- "tax": 0.19,
- "external_id": "EXT-002",
- "ean": "7501234567891",
- "kit_items": [ ]
}
}
], - "large": null,
- "order_id": "string",
- "price": 0,
- "product": {
- "height": null,
- "id": "string",
- "large": null,
- "name": "string",
- "picture_url": null,
- "sku": "string",
- "tax": null,
- "weight": null,
- "width": null
}, - "product_id": "string",
- "promo_price": 0,
- "quantity": 0,
- "replacement_product": {
- "height": null,
- "id": "string",
- "large": null,
- "name": "string",
- "picture_url": null,
- "sku": "string",
- "tax": null,
- "weight": null,
- "width": null
}, - "replacement_product_id": null,
- "tax": null,
- "weight": null,
- "width": null
}
], - "large": null,
- "manifest_printed": true,
- "next_status": null,
- "notes": null,
- "order_return_reason": {
- "description": null,
- "id": 0,
- "name": "string",
- "order_return_reason_id": null
}, - "order_return_reason_id": null,
- "order_status": {
- "active": 0,
- "available_if_status_in": null,
- "color": "string",
- "created_at": null,
- "deleted_at": { },
- "final": true,
- "id": 0,
- "in_progress": true,
- "in_route": true,
- "index": 0,
- "name": "string",
- "require_driver": true,
- "require_inventory_validation": true,
- "require_pictures": true,
- "require_return_reason": true,
- "required_boxes": true,
- "required_by_driver": true,
- "retry_order_enabled": true,
- "reverse_to": 0,
- "updated_at": null
}, - "order_status_id": null,
- "order_sticker": null,
- "order_type": {
- "active": null,
- "automatic_schedule_selection": null,
- "default": 0,
- "end_time": null,
- "expected_delivery_time": null,
- "final_order_status_id": null,
- "flow_until_order_status_id": null,
- "icon": null,
- "id": 0,
- "initial_order_status_id": null,
- "name": "string",
- "start_time": null
}, - "order_type_id": null,
- "order_number": null,
- "origin_shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "country": "string",
- "dni": "string",
- "email": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "lng": null,
- "locality": null,
- "mobile_phone_number": "string",
- "origin": 0,
- "state": "string",
- "zip": null
}, - "origin_shipping_information_id": null,
- "packing_user_id": null,
- "payment_method": {
- "active": true,
- "id": 0,
- "name": "string"
}, - "payment_method_id": null,
- "payment_type_id": null,
- "picking_user_id": null,
- "pictures": null,
- "shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "country": "string",
- "dni": "string",
- "email": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "lng": null,
- "locality": null,
- "mobile_phone_number": "string",
- "origin": 0,
- "state": "string",
- "zip": null
}, - "shipping_information_id": null,
- "start_picking_date": null,
- "subtotal": null,
- "tags": null,
- "tax": null,
- "test": true,
- "ticket_id": null,
- "total": null,
- "total_shipment": null,
- "tracking_link": null,
- "tracking_number": null,
- "tries": null,
- "updated_at": null,
- "user_id": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "code_branch": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "zip": null
}, - "warehouse_id": null,
- "weight": null,
- "width": null,
- "zone_name": {
- "id": 0,
- "name": "string"
}, - "zone_name_id": null
}Retorna una orden con todos sus detalles, incluyendo items y productos. Si un item es un kit o combo, el campo kits dentro de items contendrá los productos que lo componen.
| id required | string |
{- "id": "ORD-123456",
- "status": "pending",
- "created_at": "2024-01-15T10:30:00Z",
- "items": [
- {
- "id": 1,
- "order_id": "ORD-123456",
- "product_id": "PROD-KIT-789",
- "description": "Kit Combo Premium",
- "quantity": 2,
- "price": 150,
- "kits": [
- {
- "id": 1,
- "order_detail_id": 1,
- "product_id": "PROD-001",
- "quantity": 3,
- "product": {
- "id": "PROD-001",
- "name": "Producto A",
- "sku": "SKU-A-001",
- "price": 50,
- "business_id": "BUS-123",
- "weight": 1.5,
- "width": 10,
- "height": 15,
- "large": 20,
- "tax": 0.19,
- "external_id": null,
- "ean": null,
- "kit_items": [ ]
}
}, - {
- "id": 2,
- "order_detail_id": 1,
- "product_id": "PROD-002",
- "quantity": 1,
- "product": {
- "id": "PROD-002",
- "name": "Producto B",
- "sku": "SKU-B-002",
- "price": 30,
- "business_id": "BUS-123",
- "weight": 0.8,
- "width": 8,
- "height": 10,
- "large": 12,
- "tax": 0.19,
- "external_id": null,
- "ean": null,
- "kit_items": [ ]
}
}
]
}, - {
- "id": 2,
- "order_id": "ORD-123456",
- "product_id": "PROD-SIMPLE-999",
- "description": "Producto Simple (no es kit)",
- "quantity": 1,
- "price": 25,
- "kits": null
}
]
}Update an order
| id required | string |
| business_id | null or string Requerido si el usuario es operador |
| cod_total | null or number Valor contra entrega |
| country_id | null or integer |
object | |
| delivery_date | null or string <date-time> Fecha de entrega en caso de que el envío sea entregado |
| delivery_provider_id | null or integer id de la transportadora |
| discount | null or number Valor de descuento |
| external_order_id | null or string Id externo si aplica |
| guide_id | null or string Número de guía de la transportadora |
| guide_link | null or string Link de la guía de la transportadora |
| integration_type_id | null or integer |
| invoiceable | null or boolean |
| is_last_mile | null or boolean Si la orden es de last mile pasara directamente a el estado asignar piloto |
Array of objects or null (ServiceProductOrderReq) Productos de la orden | |
| notes | string |
| order_type_id | null or integer |
| order_number | null or string Número de orden personalizado. Si no se envía, se genera automáticamente |
object (ServiceShippingInformation) Información de origen del envío (si aplica) | |
| payment_method_id | null or integer |
| payment_type_id | null or integer |
object (ServiceShippingInformation) destination shipping information | |
| subtotal | null or number |
| total | null or number Valor total de la orden |
| total_shipment | null or number Valor del envío |
| tracking_link | null or string Link de tracking de la transportadora |
| warehouse_id | null or integer |
{- "business_id": null,
- "cod_total": null,
- "country_id": null,
- "customer": {
- "dni": "string",
- "document_type_id": null,
- "email": "string",
- "full_name": "string",
- "phone_number": "string"
}, - "delivery_date": null,
- "delivery_provider_id": null,
- "discount": null,
- "external_order_id": null,
- "guide_id": null,
- "guide_link": null,
- "integration_type_id": null,
- "invoiceable": null,
- "is_last_mile": null,
- "items": [
- {
- "external_id": null,
- "height": null,
- "large": null,
- "price": 0,
- "product_id": null,
- "promo_price": 0,
- "quantity": 0,
- "sku": null,
- "tax": null,
- "weight": null,
- "width": null
}
], - "notes": "string",
- "order_type_id": null,
- "order_number": null,
- "origin_shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane_id": null,
- "country": "string",
- "lat": null,
- "lng": null,
- "state": "string",
- "zip": null
}, - "payment_method_id": null,
- "payment_type_id": null,
- "shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane_id": null,
- "country": "string",
- "lat": null,
- "lng": null,
- "state": "string",
- "zip": null
}, - "subtotal": null,
- "total": null,
- "total_shipment": null,
- "tracking_link": null,
- "warehouse_id": null
}{- "approved": true,
- "boxes": null,
- "business": {
- "a_threshold": null,
- "active": true,
- "assign_pickers": null,
- "automatic_guide": 0,
- "automatic_purchase_order": null,
- "automatic_warehouse_assigment": null,
- "b_threshold": null,
- "c_threshold": null,
- "calc_discount_after_tax": true,
- "country_id": null,
- "created_at": null,
- "delivery_courier_margin": null,
- "delivery_fee": null,
- "document_type_id": null,
- "documents": [
- {
- "business_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "document": "string",
- "id": 0
}
], - "driver_scan_packages": null,
- "email": null,
- "email_contact_accounting": null,
- "external_id": null,
- "external_id_help": null,
- "external_integration_id": null,
- "external_integrations": [
- { }
], - "id": null,
- "invoice_status_id": null,
- "invoicing": true,
- "is_package_type_delivery": true,
- "is_partner": null,
- "is_picking_cases_enabled": null,
- "is_saas": null,
- "is_signed_commercial_agreement": null,
- "kam_user_id": null,
- "legal_id": "string",
- "legal_name": null,
- "name": "string",
- "only_last_mile": true,
- "own_inventory": null,
- "parent_business_id": null,
- "percentage_inventory_notice_variation": null,
- "phone_number": null,
- "prefix": null,
- "project_channel": null,
- "provider_service_id": null,
- "route_validation": null,
- "scan_products": null,
- "sequence": null,
- "shipment_included_total": null,
- "shipping_best_price": null,
- "show_basket": null,
- "show_massive_quantity": null,
- "show_note": null,
- "show_note_app": null,
- "show_note_ok": null,
- "show_type_zone": true,
- "sms_notification": null,
- "super": null,
- "take_manual_order": null,
- "tax_before_total": null,
- "telegram_chat": null,
- "updated_at": null,
- "variation_percentage": null,
- "wallet_amount": 0,
- "warehouses": [
- {
- "active": null,
- "business_id": "string",
- "created_at": null,
- "default": null,
- "external_configuration": null,
- "external_id": null,
- "id": 0,
- "rappi_store_id": null,
- "shopify_location_id": null,
- "updated_at": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane_id": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}, - "warehouse_code": null,
- "warehouse_code_help": null,
- "warehouse_id": 0
}
]
}, - "business_id": null,
- "cancel_order_reason": {
- "active": 0,
- "id": 0,
- "name": "string"
}, - "cancel_order_reason_id": null,
- "city_dane_id": null,
- "cod_total": null,
- "country": {
- "currency": "string",
- "has_sublevels": true,
- "id": "string",
- "name": "string"
}, - "country_id": null,
- "coupon": null,
- "created_at": null,
- "customer": {
- "dni": "string",
- "document_type_id": null,
- "email": "string",
- "full_name": "string",
- "id": 0,
- "mobile_phone_number": "string",
- "phone_number": "string"
}, - "customer_id": null,
- "delivery_date": null,
- "delivery_fee": null,
- "delivery_kms": null,
- "delivery_provider": {
- "id": "string",
- "name": "string"
}, - "delivery_provider_id": null,
- "delivery_provider_type_zone_id": null,
- "discount": null,
- "driver": {
- "active": true,
- "business_id": "string",
- "created_at": null,
- "deleted_at": null,
- "dni": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "license_plate": "string",
- "lng": null,
- "phone_number": "string",
- "pin": "string",
- "token_device": null,
- "type_vehicle": {
- "id": 0,
- "name": "string",
- "status": true
}, - "type_vehicle_id": null,
- "updated_at": null,
- "warehouses": [
- {
- "id": 0,
- "name": "string"
}
]
}, - "driver_id": null,
- "end_picking_date": null,
- "external_order_id": null,
- "extra_data": null,
- "guide_id": null,
- "guide_link": null,
- "height": null,
- "history": null,
- "id": "string",
- "integration_type": {
- "id": 0,
- "name": "string"
}, - "integration_type_id": null,
- "invoiceable": null,
- "invoices": null,
- "is_delivery_default": true,
- "is_last_mile": true,
- "is_paid": true,
- "items": [
- {
- "additional_tax": 0,
- "description": "string",
- "had_lack": true,
- "has_inventory": true,
- "height": null,
- "id": 0,
- "kits": [
- {
- "id": 1,
- "order_detail_id": 1,
- "product_id": "PROD-001",
- "quantity": 3,
- "product": {
- "id": "PROD-001",
- "name": "Producto A del Kit",
- "sku": "SKU-A-001",
- "price": 50,
- "business_id": "BUS-123",
- "weight": 1.5,
- "width": 10,
- "height": 15,
- "large": 20,
- "tax": 0.19,
- "external_id": "EXT-001",
- "ean": "7501234567890",
- "kit_items": [ ]
}
}, - {
- "id": 2,
- "order_detail_id": 1,
- "product_id": "PROD-002",
- "quantity": 1,
- "product": {
- "id": "PROD-002",
- "name": "Producto B del Kit",
- "sku": "SKU-B-002",
- "price": 30,
- "business_id": "BUS-123",
- "weight": 0.8,
- "width": 8,
- "height": 10,
- "large": 12,
- "tax": 0.19,
- "external_id": "EXT-002",
- "ean": "7501234567891",
- "kit_items": [ ]
}
}
], - "large": null,
- "order_id": "string",
- "price": 0,
- "product": {
- "height": null,
- "id": "string",
- "large": null,
- "name": "string",
- "picture_url": null,
- "sku": "string",
- "tax": null,
- "weight": null,
- "width": null
}, - "product_id": "string",
- "promo_price": 0,
- "quantity": 0,
- "replacement_product": {
- "height": null,
- "id": "string",
- "large": null,
- "name": "string",
- "picture_url": null,
- "sku": "string",
- "tax": null,
- "weight": null,
- "width": null
}, - "replacement_product_id": null,
- "tax": null,
- "weight": null,
- "width": null
}
], - "large": null,
- "manifest_printed": true,
- "next_status": null,
- "notes": null,
- "order_return_reason": {
- "description": null,
- "id": 0,
- "name": "string",
- "order_return_reason_id": null
}, - "order_return_reason_id": null,
- "order_status": {
- "active": 0,
- "available_if_status_in": null,
- "color": "string",
- "created_at": null,
- "deleted_at": { },
- "final": true,
- "id": 0,
- "in_progress": true,
- "in_route": true,
- "index": 0,
- "name": "string",
- "require_driver": true,
- "require_inventory_validation": true,
- "require_pictures": true,
- "require_return_reason": true,
- "required_boxes": true,
- "required_by_driver": true,
- "retry_order_enabled": true,
- "reverse_to": 0,
- "updated_at": null
}, - "order_status_id": null,
- "order_sticker": null,
- "order_type": {
- "active": null,
- "automatic_schedule_selection": null,
- "default": 0,
- "end_time": null,
- "expected_delivery_time": null,
- "final_order_status_id": null,
- "flow_until_order_status_id": null,
- "icon": null,
- "id": 0,
- "initial_order_status_id": null,
- "name": "string",
- "start_time": null
}, - "order_type_id": null,
- "order_number": null,
- "origin_shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "country": "string",
- "dni": "string",
- "email": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "lng": null,
- "locality": null,
- "mobile_phone_number": "string",
- "origin": 0,
- "state": "string",
- "zip": null
}, - "origin_shipping_information_id": null,
- "packing_user_id": null,
- "payment_method": {
- "active": true,
- "id": 0,
- "name": "string"
}, - "payment_method_id": null,
- "payment_type_id": null,
- "picking_user_id": null,
- "pictures": null,
- "shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "country": "string",
- "dni": "string",
- "email": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "lng": null,
- "locality": null,
- "mobile_phone_number": "string",
- "origin": 0,
- "state": "string",
- "zip": null
}, - "shipping_information_id": null,
- "start_picking_date": null,
- "subtotal": null,
- "tags": null,
- "tax": null,
- "test": true,
- "ticket_id": null,
- "total": null,
- "total_shipment": null,
- "tracking_link": null,
- "tracking_number": null,
- "tries": null,
- "updated_at": null,
- "user_id": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "code_branch": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "zip": null
}, - "warehouse_id": null,
- "weight": null,
- "width": null,
- "zone_name": {
- "id": 0,
- "name": "string"
}, - "zone_name_id": null
}Upload shipping label file to the order
| id required | string |
| file | Array of strings <binary> (MultipartFileHeader) [ items <binary > ] |
| guide_id | string |
{- "code": "invalid_request",
- "details": { },
- "message": "invalid request"
}Update the order status and validates if the movement is valid
| id required | string |
| driver_id | null or integer |
| note | null or string |
| order_return_reason_id | null or integer |
| order_status_id | integer |
{- "driver_id": null,
- "note": null,
- "order_return_reason_id": null,
- "order_status_id": 0
}{- "approved": true,
- "boxes": null,
- "business": {
- "a_threshold": null,
- "active": true,
- "assign_pickers": null,
- "automatic_guide": 0,
- "automatic_purchase_order": null,
- "automatic_warehouse_assigment": null,
- "b_threshold": null,
- "c_threshold": null,
- "calc_discount_after_tax": true,
- "country_id": null,
- "created_at": null,
- "delivery_courier_margin": null,
- "delivery_fee": null,
- "document_type_id": null,
- "documents": [
- {
- "business_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "document": "string",
- "id": 0
}
], - "driver_scan_packages": null,
- "email": null,
- "email_contact_accounting": null,
- "external_id": null,
- "external_id_help": null,
- "external_integration_id": null,
- "external_integrations": [
- { }
], - "id": null,
- "invoice_status_id": null,
- "invoicing": true,
- "is_package_type_delivery": true,
- "is_partner": null,
- "is_picking_cases_enabled": null,
- "is_saas": null,
- "is_signed_commercial_agreement": null,
- "kam_user_id": null,
- "legal_id": "string",
- "legal_name": null,
- "name": "string",
- "only_last_mile": true,
- "own_inventory": null,
- "parent_business_id": null,
- "percentage_inventory_notice_variation": null,
- "phone_number": null,
- "prefix": null,
- "project_channel": null,
- "provider_service_id": null,
- "route_validation": null,
- "scan_products": null,
- "sequence": null,
- "shipment_included_total": null,
- "shipping_best_price": null,
- "show_basket": null,
- "show_massive_quantity": null,
- "show_note": null,
- "show_note_app": null,
- "show_note_ok": null,
- "show_type_zone": true,
- "sms_notification": null,
- "super": null,
- "take_manual_order": null,
- "tax_before_total": null,
- "telegram_chat": null,
- "updated_at": null,
- "variation_percentage": null,
- "wallet_amount": 0,
- "warehouses": [
- {
- "active": null,
- "business_id": "string",
- "created_at": null,
- "default": null,
- "external_configuration": null,
- "external_id": null,
- "id": 0,
- "rappi_store_id": null,
- "shopify_location_id": null,
- "updated_at": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane_id": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}, - "warehouse_code": null,
- "warehouse_code_help": null,
- "warehouse_id": 0
}
]
}, - "business_id": null,
- "cancel_order_reason": {
- "active": 0,
- "id": 0,
- "name": "string"
}, - "cancel_order_reason_id": null,
- "city_dane_id": null,
- "cod_total": null,
- "country": {
- "currency": "string",
- "has_sublevels": true,
- "id": "string",
- "name": "string"
}, - "country_id": null,
- "coupon": null,
- "created_at": null,
- "customer": {
- "dni": "string",
- "document_type_id": null,
- "email": "string",
- "full_name": "string",
- "id": 0,
- "mobile_phone_number": "string",
- "phone_number": "string"
}, - "customer_id": null,
- "delivery_date": null,
- "delivery_fee": null,
- "delivery_kms": null,
- "delivery_provider": {
- "id": "string",
- "name": "string"
}, - "delivery_provider_id": null,
- "delivery_provider_type_zone_id": null,
- "discount": null,
- "driver": {
- "active": true,
- "business_id": "string",
- "created_at": null,
- "deleted_at": null,
- "dni": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "license_plate": "string",
- "lng": null,
- "phone_number": "string",
- "pin": "string",
- "token_device": null,
- "type_vehicle": {
- "id": 0,
- "name": "string",
- "status": true
}, - "type_vehicle_id": null,
- "updated_at": null,
- "warehouses": [
- {
- "id": 0,
- "name": "string"
}
]
}, - "driver_id": null,
- "end_picking_date": null,
- "external_order_id": null,
- "extra_data": null,
- "guide_id": null,
- "guide_link": null,
- "height": null,
- "history": null,
- "id": "string",
- "integration_type": {
- "id": 0,
- "name": "string"
}, - "integration_type_id": null,
- "invoiceable": null,
- "invoices": null,
- "is_delivery_default": true,
- "is_last_mile": true,
- "is_paid": true,
- "items": [
- {
- "additional_tax": 0,
- "description": "string",
- "had_lack": true,
- "has_inventory": true,
- "height": null,
- "id": 0,
- "kits": [
- {
- "id": 1,
- "order_detail_id": 1,
- "product_id": "PROD-001",
- "quantity": 3,
- "product": {
- "id": "PROD-001",
- "name": "Producto A del Kit",
- "sku": "SKU-A-001",
- "price": 50,
- "business_id": "BUS-123",
- "weight": 1.5,
- "width": 10,
- "height": 15,
- "large": 20,
- "tax": 0.19,
- "external_id": "EXT-001",
- "ean": "7501234567890",
- "kit_items": [ ]
}
}, - {
- "id": 2,
- "order_detail_id": 1,
- "product_id": "PROD-002",
- "quantity": 1,
- "product": {
- "id": "PROD-002",
- "name": "Producto B del Kit",
- "sku": "SKU-B-002",
- "price": 30,
- "business_id": "BUS-123",
- "weight": 0.8,
- "width": 8,
- "height": 10,
- "large": 12,
- "tax": 0.19,
- "external_id": "EXT-002",
- "ean": "7501234567891",
- "kit_items": [ ]
}
}
], - "large": null,
- "order_id": "string",
- "price": 0,
- "product": {
- "height": null,
- "id": "string",
- "large": null,
- "name": "string",
- "picture_url": null,
- "sku": "string",
- "tax": null,
- "weight": null,
- "width": null
}, - "product_id": "string",
- "promo_price": 0,
- "quantity": 0,
- "replacement_product": {
- "height": null,
- "id": "string",
- "large": null,
- "name": "string",
- "picture_url": null,
- "sku": "string",
- "tax": null,
- "weight": null,
- "width": null
}, - "replacement_product_id": null,
- "tax": null,
- "weight": null,
- "width": null
}
], - "large": null,
- "manifest_printed": true,
- "next_status": null,
- "notes": null,
- "order_return_reason": {
- "description": null,
- "id": 0,
- "name": "string",
- "order_return_reason_id": null
}, - "order_return_reason_id": null,
- "order_status": {
- "active": 0,
- "available_if_status_in": null,
- "color": "string",
- "created_at": null,
- "deleted_at": { },
- "final": true,
- "id": 0,
- "in_progress": true,
- "in_route": true,
- "index": 0,
- "name": "string",
- "require_driver": true,
- "require_inventory_validation": true,
- "require_pictures": true,
- "require_return_reason": true,
- "required_boxes": true,
- "required_by_driver": true,
- "retry_order_enabled": true,
- "reverse_to": 0,
- "updated_at": null
}, - "order_status_id": null,
- "order_sticker": null,
- "order_type": {
- "active": null,
- "automatic_schedule_selection": null,
- "default": 0,
- "end_time": null,
- "expected_delivery_time": null,
- "final_order_status_id": null,
- "flow_until_order_status_id": null,
- "icon": null,
- "id": 0,
- "initial_order_status_id": null,
- "name": "string",
- "start_time": null
}, - "order_type_id": null,
- "order_number": null,
- "origin_shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "country": "string",
- "dni": "string",
- "email": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "lng": null,
- "locality": null,
- "mobile_phone_number": "string",
- "origin": 0,
- "state": "string",
- "zip": null
}, - "origin_shipping_information_id": null,
- "packing_user_id": null,
- "payment_method": {
- "active": true,
- "id": 0,
- "name": "string"
}, - "payment_method_id": null,
- "payment_type_id": null,
- "picking_user_id": null,
- "pictures": null,
- "shipping_information": {
- "address": "string",
- "address_line": "string",
- "city": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "country": "string",
- "dni": "string",
- "email": "string",
- "full_name": "string",
- "id": 0,
- "lat": null,
- "lng": null,
- "locality": null,
- "mobile_phone_number": "string",
- "origin": 0,
- "state": "string",
- "zip": null
}, - "shipping_information_id": null,
- "start_picking_date": null,
- "subtotal": null,
- "tags": null,
- "tax": null,
- "test": true,
- "ticket_id": null,
- "total": null,
- "total_shipment": null,
- "tracking_link": null,
- "tracking_number": null,
- "tries": null,
- "updated_at": null,
- "user_id": null,
- "warehouse": {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "code_branch": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "zip": null
}, - "warehouse_id": null,
- "weight": null,
- "width": null,
- "zone_name": {
- "id": 0,
- "name": "string"
}, - "zone_name_id": null
}[- {
- "active": null,
- "automatic_schedule_selection": null,
- "default": 0,
- "end_time": null,
- "expected_delivery_time": null,
- "final_order_status_id": null,
- "flow_until_order_status_id": null,
- "icon": null,
- "id": 0,
- "initial_order_status_id": null,
- "name": "string",
- "start_time": null
}
]Allowed filters:
| filters | Array of any or null (FiltersRaw) |
curl -G '$BASE_URL/orders/lists/statuses' --data-urlencode 'filters[name]=Entregado'
[- {
- "active": 0,
- "available_if_status_in": null,
- "color": "string",
- "created_at": null,
- "deleted_at": { },
- "final": true,
- "id": 0,
- "in_progress": true,
- "in_route": true,
- "index": 0,
- "name": "string",
- "require_driver": true,
- "require_inventory_validation": true,
- "require_pictures": true,
- "require_return_reason": true,
- "required_boxes": true,
- "required_by_driver": true,
- "retry_order_enabled": true,
- "reverse_to": 0,
- "updated_at": null
}
]Retorna una lista de productos.
| page | integer Page number |
| size | integer Page size |
| sku | string SKU del producto |
| ean | string Código EAN del producto |
| business_id | string ID del negocio |
| created_at_from | string <date> Fecha de creación desde (YYYY-MM-DD) |
| created_at_to | string <date> Fecha de creación hasta (YYYY-MM-DD) |
| product_id | string ID del producto |
| external_id | string ID externo del producto |
| sort_by | string sort by field |
| sort_dir | string Enum: "ASC" "DESC" sort direction |
| skip_total | boolean skip total count, can be used for performance |
| active | string Enum: "TRUE" "FALSE" Examples:
Producto activo. Valores permitidos: TRUE, FALSE |
curl -G '$BASE_URL/products' --data-urlencode 'active=TRUE' --data-urlencode 'page=1' --data-urlencode 'size=50'
{- "items": [
- {
- "active": true,
- "business_id": "string",
- "cost": null,
- "created_at": null,
- "deleted_at": null,
- "ean": null,
- "external_id": null,
- "height": null,
- "id": "string",
- "kit": true,
- "kit_items": [
- {
- "id": 0,
- "kit_product_id": "string",
- "product": { },
- "product_id": "string",
- "quantity": 0
}
], - "large": null,
- "name": null,
- "notes": null,
- "parent_product_id": null,
- "picture_url": null,
- "price": null,
- "sku": null,
- "tax": null,
- "updated_at": null,
- "variations": [
- { }
], - "warehouses": [
- {
- "id": 0,
- "name": "string"
}
], - "weight": null,
- "width": null
}
], - "page": 0,
- "size": 0,
- "total": 0,
- "total_pages": 0
}Crea un producto.
| active | null or boolean |
| business_id | null or string |
| cost | null or number |
| ean | null or string |
| external_id | null or string |
| height | null or number |
| large | null or number |
| name | null or string |
| notes | null or string |
| parent_product_id | null or string |
| picture_url | null or string |
| price | null or number |
| sku | null or string |
| tax | null or number |
| warehouses | Array of integers or null |
| weight | null or number |
| width | null or number |
{- "active": null,
- "business_id": null,
- "cost": null,
- "ean": null,
- "external_id": null,
- "height": null,
- "large": null,
- "name": null,
- "notes": null,
- "parent_product_id": null,
- "picture_url": null,
- "price": null,
- "sku": null,
- "tax": null,
- "warehouses": [
- 0
], - "weight": null,
- "width": null
}{- "active": true,
- "business_id": "string",
- "cost": null,
- "created_at": null,
- "deleted_at": null,
- "ean": null,
- "external_id": null,
- "height": null,
- "id": "string",
- "kit": true,
- "kit_items": [
- {
- "id": 0,
- "kit_product_id": "string",
- "product": { },
- "product_id": "string",
- "quantity": 0
}
], - "large": null,
- "name": null,
- "notes": null,
- "parent_product_id": null,
- "picture_url": null,
- "price": null,
- "sku": null,
- "tax": null,
- "updated_at": null,
- "variations": [
- { }
], - "warehouses": [
- {
- "id": 0,
- "name": "string"
}
], - "weight": null,
- "width": null
}{- "active": true,
- "business_id": "string",
- "cost": null,
- "created_at": null,
- "deleted_at": null,
- "ean": null,
- "external_id": null,
- "height": null,
- "id": "string",
- "kit": true,
- "kit_items": [
- {
- "id": 0,
- "kit_product_id": "string",
- "product": { },
- "product_id": "string",
- "quantity": 0
}
], - "large": null,
- "name": null,
- "notes": null,
- "parent_product_id": null,
- "picture_url": null,
- "price": null,
- "sku": null,
- "tax": null,
- "updated_at": null,
- "variations": [
- { }
], - "warehouses": [
- {
- "id": 0,
- "name": "string"
}
], - "weight": null,
- "width": null
}Actualiza un producto.
| id required | string |
| active | null or boolean |
| business_id | null or string |
| cost | null or number |
| ean | null or string |
| external_id | null or string |
| height | null or number |
| large | null or number |
| name | null or string |
| notes | null or string |
| parent_product_id | null or string |
| picture_url | null or string |
| price | null or number |
| sku | null or string |
| tax | null or number |
| warehouses | Array of integers or null |
| weight | null or number |
| width | null or number |
{- "active": null,
- "business_id": null,
- "cost": null,
- "ean": null,
- "external_id": null,
- "height": null,
- "large": null,
- "name": null,
- "notes": null,
- "parent_product_id": null,
- "picture_url": null,
- "price": null,
- "sku": null,
- "tax": null,
- "warehouses": [
- 0
], - "weight": null,
- "width": null
}{- "active": true,
- "business_id": "string",
- "cost": null,
- "created_at": null,
- "deleted_at": null,
- "ean": null,
- "external_id": null,
- "height": null,
- "id": "string",
- "kit": true,
- "kit_items": [
- {
- "id": 0,
- "kit_product_id": "string",
- "product": { },
- "product_id": "string",
- "quantity": 0
}
], - "large": null,
- "name": null,
- "notes": null,
- "parent_product_id": null,
- "picture_url": null,
- "price": null,
- "sku": null,
- "tax": null,
- "updated_at": null,
- "variations": [
- { }
], - "warehouses": [
- {
- "id": 0,
- "name": "string"
}
], - "weight": null,
- "width": null
}Retorna todos los productos asociados a una bodega junto con su stock actual. Permite filtrar por producto (sku, ean, product_id, nombre), por bodega (id o nombre exacto), por layout y por ubicacion. Productos con stock 0 se incluyen en la respuesta.
Requiere al menos warehouse_id o warehouse_name.
| warehouse_id | integer Example: warehouse_id=4 ID numerico de la bodega a consultar. Requerido si no se envia warehouse_name. |
| warehouse_name | string Example: warehouse_name=Bodega Principal Nombre exacto de la bodega a consultar. Requerido si no se envia warehouse_id. Busqueda por coincidencia exacta. |
| sku | string Example: sku=MX3HSCU6 Filtrar por SKU exacto del producto. |
| ean | string Example: ean=7702011642017 Filtrar por EAN exacto del producto. |
| product_id | string Example: product_id=60186b3ad8fcc Filtrar por ID exacto del producto. |
| name | string Example: name=Mouse Logitech M185 Filtrar por nombre exacto del producto. Busqueda por coincidencia exacta. |
| has_layout | boolean Example: has_layout=true Filtrar por si la bodega tiene layout de ubicaciones activo. |
| location_code | string Example: location_code=A-01-03 Filtrar por codigo exacto de ubicacion dentro de la bodega. Activa el join con la tabla de ubicaciones. |
| location_id | integer Example: location_id=21 Filtrar por ID de ubicacion dentro de la bodega. Activa el join con la tabla de ubicaciones. |
| location_is_full | boolean Example: location_is_full=true Filtrar por estado de la ubicacion: true retorna solo ubicaciones FULL, false retorna solo ubicaciones NO FULL. Activa el join con la tabla de ubicaciones. |
| page | integer Example: page=1 Numero de pagina (default: 1) |
| size | integer Example: size=50 Cantidad de items por pagina (default: 10, max: 500) |
| sort_by | string Enum: "name" "sku" "ean" "id" "stock" Example: sort_by=stock Campo de ordenamiento |
| sort_dir | string Enum: "ASC" "DESC" Example: sort_dir=DESC Direccion del ordenamiento |
| skip_total | boolean Example: skip_total=true Si es true omite la consulta COUNT para mejorar el rendimiento. El campo total en la respuesta sera 0. Util para paginacion sin conteo. |
curl -G '$BASE_URL/products/by-warehouse' \ -H 'X-Velocity-Access-Token: <api_key>' \ --data-urlencode 'warehouse_id=4' \ --data-urlencode 'page=1' \ --data-urlencode 'size=50' \ --data-urlencode 'sort_by=stock' \ --data-urlencode 'sort_dir=DESC'
{- "total": 1998,
- "page": 1,
- "size": 3,
- "total_pages": 666,
- "items": [
- {
- "id": "60186b3ad8fcc",
- "name": "Mouse Logitech M185",
- "sku": "MX3HSCU6",
- "ean": "7702011642017",
- "external_id": "127519555609",
- "business_id": "60186b3ad8fcc",
- "price": 79990,
- "cost": 31000,
- "tax": 19,
- "active": true,
- "picture_url": null,
- "weight": 120,
- "product_category": "Perifericos",
- "infinite_inventory": false,
- "reorder_point": 10,
- "stock": 48,
- "reserved_quantity": 3,
- "warehouse_name": "Bodega Principal",
- "has_layout": true,
- "location_code": null,
- "location_id": null,
- "location_qty": null
}
]
}Retorna una lista de bodegas.
| page | integer Page number |
| size | integer Page size |
| filters | Array of any or null (FiltersRaw) filter query |
| sort_by | string sort by field |
| sort_dir | string Enum: "ASC" "DESC" sort direction |
| skip_total | boolean skip total count, can be used for performance |
curl -G '$BASE_URL/warehouses' --data-urlencode 'page=1' --data-urlencode 'size=50'
{- "items": [
- {
- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "code_branch": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "zip": null
}
], - "page": 0,
- "size": 0,
- "total": 0,
- "total_pages": 0
}Crea una bodega.
| address | string |
| address_line | string |
| allow_orders | boolean |
| city_dane_id | null or integer |
| lat | number |
| lng | number |
| name | string |
| zip | null or string |
{- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "city_dane_id": null,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "zip": null
}{- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "code_branch": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "zip": null
}{- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "code_branch": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "zip": null
}Actualiza una bodega.
| id required | integer |
| address | string |
| address_line | string |
| allow_orders | boolean |
| city_dane_id | null or integer |
| lat | number |
| lng | number |
| name | string |
| zip | null or string |
{- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "city_dane_id": null,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "zip": null
}{- "address": "string",
- "address_line": "string",
- "allow_orders": true,
- "business_id": "string",
- "city_dane": {
- "city_dane": { },
- "city_dane_id": null,
- "code": "string",
- "country": {
- "code": "string",
- "currency": "string",
- "has_sublevels": true,
- "id": 0,
- "language": "string",
- "name": "string"
}, - "country_id": 0,
- "id": 0,
- "name": "string"
}, - "city_dane_id": null,
- "code_branch": null,
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "lat": 0,
- "lng": 0,
- "name": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "zip": null
}Retorna una lista de webhooks.
| id | integer ID del webhook |
| url | string URL del webhook |
| topic | string Enum: "inventory.updated" "order.status_updated" "product.updated" Tópico/tema del webhook. Valores permitidos: inventory.updated, order.status_updated, product.updated |
| created_at_from | string Example: created_at_from=2024-01-01 Fecha de creación desde (formato: YYYY-MM-DD) |
| created_at_to | string Example: created_at_to=2024-12-31 Fecha de creación hasta (formato: YYYY-MM-DD) |
| page | integer Page number |
| size | integer Page size |
| filters | Array of any or null (FiltersRaw) filter query |
| sort_by | string sort by field |
| sort_dir | string Enum: "ASC" "DESC" sort direction |
| skip_total | boolean skip total count, can be used for performance |
curl -G '$BASE_URL/webhooks' --data-urlencode 'topic=inventory.updated' --data-urlencode 'page=1' --data-urlencode 'size=50'
{- "items": [
- {
- "business_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "secret": "string",
- "topic": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "url": "string"
}
], - "page": 0,
- "size": 0,
- "total": 0,
- "total_pages": 0
}Crea un webhook.
| business_id | string Required in case of operator |
| topic | string Enum: "inventory.updated" "order.status_updated" "product.updated" Tópico/tema del webhook. Valores permitidos: inventory.updated, order.status_updated, product.updated |
| url | string |
{- "business_id": "string",
- "topic": "inventory.updated",
- "url": "string"
}{- "business_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "id": 0,
- "secret": "string",
- "topic": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "url": "string"
}